$block: project-top;

.#{$block} {
	color: $white;
	background: $red;

	&--red {
		background: $red;
	}

	&--blue {
		background: $blue-100;
	}

	&__wrap {
		position: relative;
	}

	&__content {
		z-index: 20;
		max-width: 440px;
		position: relative;
		padding-top: 100px;
		padding-bottom: 80px;
	}

	&__header {
		position: relative;
		margin-bottom: 40px;
		font-family: $font-family-head;

		&--label {
			width: 160px;
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
		}

		&--title {
			font-weight: 700;
			line-height: 130%;
			padding-left: 70px;
			font-size: font-size-rel(22px);
		}
	}

	&__link {
		padding-left: 70px;
	}

	&__text {
		padding-left: 70px;
		line-height: 130%;
		font-size: font-size-rel(16px);
		margin-bottom: 40px;
	}

	&__media {
		z-index: 1;
		width: 280px;
		margin: 0 auto;
		position: relative;

		&--image {
			overflow: hidden;
			height: 180px;
		}

		&--plus {
			z-index: 20;
			width: 100px;
			left: calc(100% - 70px);
			top: -45px;
			display: block;
			position: absolute;
		}

		&--pattern {
			left: -50px;
			top: -390px;
			z-index: 10;
			width: 400px;
			position: absolute;
		}
	}

	@media (min-width: $screen-sm-min) {

		&__header {
			margin-bottom: 60px;

			&--label {
				text-align: right;
				margin-bottom: 30px;
				font-size: font-size-rel(18px);
			}

			&--title {
				padding-left: 160px;
				line-height: 120%;
				font-size: font-size-rel(40px);
			}
		}

		&__text {
			padding-left: 160px;
		}

		&__link {
			padding-left: 160px;
		}

		&__media {
			bottom: 0;
			margin: 0;
			right: -20px;
			position: absolute;

			&--image {
				height: auto;
			}

			&--pattern {
				top: -280px;
				left: -300px;
			}
		}
	}

	@media (min-width: $screen-md-min) {

		&__media {
			width: 400px;
			max-width: inherit;

			&--plus {
				top: -75px;
				left: -70px;
				width: 240px;
			}

			&--pattern {
				width: 696px;
				top: -400px;
				left: -360px;
			}
		}
	}

	@media (min-width: $screen-lg-min) {}

	@media (min-width: $screen-xl-min) {

		&__header {
			margin-bottom: 60px;

			&--title {
				width: 600px;
				font-size: font-size-rel(50px);
			}
		}

		&__text {
			margin-bottom: 80px;
		}

		&__media {
			width: 520px;
			right: -40px;

			&--plus {
				top: -160px;
				left: -160px;
				width: 320px;
			}

			&--pattern {
				width: 696px;
				top: -500px;
				left: -570px;
			}
		}
	}
}